Bug 543178 - [RFE] Configuration Channels should be shared among organisations
Summary: [RFE] Configuration Channels should be shared among organisations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Configuration Management
Version: Nightly
Hardware: All
OS: Linux
high
high vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Adam Saleh
URL:
Whiteboard:
Depends On:
Blocks: sat-nextgen 683215
TreeView+ depends on / blocked
 
Reported: 2009-12-01 20:34 UTC by Issue Tracker
Modified: 2019-11-14 06:17 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:40:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
puppet_environment_info (27.67 KB, image/png)
2016-05-18 12:53 UTC, Roman Plevka
no flags Details
provisioned_host_info (55.43 KB, image/png)
2016-05-18 12:54 UTC, Roman Plevka
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Issue Tracker 2009-12-01 20:34:15 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2009-12-01 20:34:17 UTC
Event posted on 11-20-2009 09:24am EST by RFE-tool

1) Customer Name:
Eidgenossische-Technische Hochschule Zuerich (ETHK)

2) Nature Of Problem:
Configuration Channels in Satellite can not be shared among organisations
like Software Channels

3) Business Requirements Satisfied By Request:
Duplicating configuration channels is not practical.

4) Functional Requirements That Are Not Presently Possible:
A Configuration Channel should be shareable amoung the organisations on a
satellite

5) What Will Success Look Like:
Configuration Channels can be shared like 'normal' Software Channels

6) Desired Release Vehicle:
next release

7) Request Meets The Rhel Inclusion Criteria:
Yes

8) Affected Packages:
rhn-satellite

9) Sales Sponsor:
aflierl@redhat.com as SRM

10) Rh Business Opportunity With Customer:
Big customer with 6500+ system

11) Status And Risk To Contract If Not Satisfied:
little, but customer will contact the spacewalk community about this

12) If this request is vendor specific, has the customer engaged the
partner as well?:
Not Applicable





This event sent from IssueTracker by jwest  [SEG - Feature Request]
 issue 368163

Comment 16 Mike McCune 2013-09-05 15:40:29 UTC
Customers can try this out with Satellite 6 MDP2, users are able to share puppet configuration across organizations with the ability to pick and choose which organizations can see what configuration modules.

Comment 22 Corey Welton 2014-07-11 23:19:54 UTC
6.0.4 for testing

Comment 23 Tazim Kolhar 2014-08-20 13:44:22 UTC
have sent request for verification steps to pbatkowski@redhat.com

Comment 26 Mike McCune 2014-09-02 20:44:47 UTC
Moving to a future release for consideration.

You can't currently share Content Views between organizations in Satellite 6 so this RFE isn't really satisfied.

Comment 27 Adam Saleh 2014-09-03 13:22:51 UTC
Not in scope of GA, assigning back to dev

Comment 32 Mike McCune 2015-09-02 02:55:53 UTC
This is entirely possible in 6.1:

* Create a Content View in OrgA with various Puppet Classes
* Publish
* go to OrgB under the Organizations list
* ensure the Puppet Environments from OrgA are also added and available in OrgB
* You can then create Host Groups and Hosts with Puppet Classes from OrgA

This can pass as a completed RFE if you can provision a host in OrgB with Puppet Classes in OrgA

Comment 34 Roman Plevka 2016-05-18 12:53:09 UTC
VERIFIED

sat 6.2.0 Beta (GA11)

The Puppet Environments can now be shared across organizations (they can be assigned to multiple).
so they also can be used for host provisioning in other Orgs.
[attached screenshots]

Comment 35 Roman Plevka 2016-05-18 12:53:49 UTC
Created attachment 1158798 [details]
puppet_environment_info

Comment 36 Roman Plevka 2016-05-18 12:54:21 UTC
Created attachment 1158799 [details]
provisioned_host_info

Comment 38 errata-xmlrpc 2016-07-27 08:40:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.